gsw_entropy_from_pt {gsw} | R Documentation

## Specific Entropy ito Absolute Salinity and Potential Temperature

### Description

Calculates specific entropy in terms of Absolute Salinity and Potential Temperature.

### Usage

    gsw_entropy_from_pt(SA, pt)

### Arguments

`SA` | Absolute Salinity [ g/kg ]
`pt` | potential temperature (ITS-90) [ degC ]

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

specific entropy [ J/(kg*degC) ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_entropy_from_pt.html

### See Also

Other things related to entropy: `gsw_CT_from_entropy`, `gsw_entropy_first_derivatives`, `gsw_entropy_from_t`, `gsw_entropy_ice`, `gsw_pt_from_entropy`

### Examples

    SA <- c(34.7118, 34.8915, 35.0256, 34.8472, 34.7366, 34.7324)
    pt <- c(28.7832, 28.4210, 22.7850, 10.2305,  6.8292,  4.3245)
    e <- gsw_entropy_from_pt(SA, pt)
    expect_equal(e/1e2, c(4.003894674443156, 3.954383994925507, 3.198674385897981,
                        1.467905482842553, 0.986469100565646, 0.627913567234252))

[Package gsw version 1.0-5 Index]